<template>
    <div class="login">
        <div class="container">
        <h1>Вход</h1>
            <form action="#" class="needs-validation" name="loginForm">
                <div class="form-group mb-2">
                    <label for="username">
                        Имя пользователя
                    </label>
                    <input name="username" type="text" class="form-control" placeholder="test_user" id="username" v-model="username">
                </div>
                <div class="form-group mb-2">
                    <label for="username">
                        Пароль
                    </label>
                    <input name="password" type="password" class="form-control" placeholder="password" id="password" v-model="password">
                </div>

            <button class="btn btn-outline-primary" type="submit" @click.prevent="auth">Войти</button>
            </form>
        </div>
    </div>
</template>

<script>
import { mapActions } from 'vuex';
function LoginError(msg) {
            const error = new Error(msg)
            error.code = "LOGIN HAS FAILED"
            return error
}
LoginError.prototype = Object.create(Error.prototype);

export default {
    name: "Login",
    data: () => ({username: "", password: ""}),

    methods: {
        ...mapActions({
            authVuex: 'auth',
        }),
        auth() {
            this.authVuex({username: this.username, password: this.password}).then(
                r => {if (r) {
                    this.$router.push('/')
                }}
            )
        }
    },
}
</script>